Package org.jcsp.plugNplay.ints

# Class Delta2Int

java.lang.Object
org.jcsp.plugNplay.ints.Delta2Int

All Implemented Interfaces:
  `CSProcess`

public final class Delta2Int extends Object implements CSProcess
This process broadcasts integers arriving on its input channel in parallel to its two output channels.

## Process Diagram

             ___________  out0
        in  |           |--->---
       -->--| Delta2Int | out1
            |___________|--->---

## Description

`Delta2Int` is a process that broadcasts (in parallel) on its two output channels everything that arrives on its input channel.

## Channel Protocols

Input Channels
in | int | All channels in this package carry integers.
Output Channels
out0, out1 | int | The output Channels will carry a broadcast of whatever integers are sent down the in Channel.

Author:
  P.H. Welch and P.D. Austin

## Constructor Summary

Constructors
Constructor
Description
`Delta2Int(ChannelInputInt in, ChannelOutputInt out0, ChannelOutputInt out1)`
Construct a new Delta2Int process with the input Channel in and the output Channels out0 and out1.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The main body of this process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Delta2Int

public Delta2Int(ChannelInputInt in, ChannelOutputInt out0, ChannelOutputInt out1)
Construct a new Delta2Int process with the input Channel in and the output Channels out0 and out1. The ordering of the Channels out0 and out1 make no difference to the functionality of this process.

Parameters:
  `in` - the input channel
  `out0` - an output Channel
  `out1` - an output Channel

## Method Details

### run

public void run()
The main body of this process.

Specified by:
  `run` in interface `CSProcess`